Skip to main content
GET
/
v2
/
analytics
/
conversations
/
{conversation_id}
/
references
Analytics V2 References
curl --request GET \
  --url https://api.linqalpha.com/v2/analytics/conversations/{conversation_id}/references \
  --header 'X-API-KEY: <api-key>'
{
  "error": null,
  "payload": {
    "references": [
      {
        "id": "1",
        "citation_idx": "1",
        "search_type": "rms",
        "chunk_id": "ad477254-58ef-4965-b86a-26ff9f5b3614",
        "text": "UBS Investment Research report on energy sector companies...",
        "text_type": "paragraph",
        "document_id": "47061a59-2e02-4711-a096-8ba5744c73d0",
        "document_name": "ued39062.pdf",
        "s3_file_key": "production/data-original/1ec8b21f-c799-4fbb-a6cc-1548d45334f3/organization/2a96a7ca-f2ba-4098-92f8-742e9eb2ede6/s3/4b24a452b612b89d2c046e1740c5c6f75952ce8abc46b00abcc548409196f9f3.pdf",
        "external_url": null,
        "metadata": {
          "calendar_date": "2026-03-02T00:00:00Z",
          "fiscal_year": 2025,
          "fiscal_quarter": 4,
          "source": "filing",
          "tickers": [
            "BRKM5",
            "ECOPETL",
            "PETR4",
            "YPFD",
            "PRIO3"
          ],
          "company_names": [
            "Braskem",
            "Ecopetrol",
            "Petrobras",
            "YPF",
            "PRIO"
          ],
          "stock_ids": [
            "BBG001S6ZH89",
            "BBG001SSJG36",
            "BBG001S7GRB2",
            "BBG001S7KCP5",
            "BBG001T9LDJ4"
          ],
          "document_category": "Analysis, Report & Note",
          "document_subcategory": "Brokerage",
          "rms_document_type": null,
          "rms_type": null,
          "rms_sub_type": null,
          "sector": [
            "Energy"
          ],
          "subsector": [
            "Oil & gas"
          ],
          "publisher": "UBS",
          "countries": [
            "United States",
            "Iran",
            "Israel",
            "Saudi Arabia",
            "Brazil"
          ],
          "regions": [
            "North America",
            "EMEA",
            "LatAm",
            "Europe",
            "APAC"
          ],
          "participants": [
            {
              "name": "Donald Trump",
              "role": "President",
              "organization": "United States",
              "participation_type": "referenced"
            }
          ],
          "tags": [],
          "parent_id": "608fabf4-c879-486f-83d1-3a889d91f74e",
          "parent_document_id": "608fabf4-c879-486f-83d1-3a889d91f74e",
          "creation_timestamp": "2026-03-02T15:49:29+00:00",
          "last_contribution_timestamp": "2026-03-02T15:49:29+00:00",
          "document_tags": [
            "research_report",
            "brokerage"
          ],
          "creator_name": null,
          "last_contributor_name": null,
          "offset": [
            {
              "top": 0.683,
              "left": 0.076,
              "page": 8,
              "width": 0.561,
              "height": 0.229
            }
          ]
        },
        "custom_metadata": null
      }
    ]
  }
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

conversation_id
string<uuid>
required

Conversation ID (UUID). Provided in the conversation SSE event from the Analytics SSE V2 endpoint.

Query Parameters

organization_id
string<uuid>

Organization ID. Required for platform API keys to identify the target organization.

user_id
string

User ID. Required together with user_email for platform API keys to identify the specific user who owns the conversation.

user_email
string<email>

User email. Required together with user_id for platform API keys to identify the specific user who owns the conversation.

Response

References response (normalized format)

Wrapper for analytics references response (normalized format). The payload contains a list of references with enriched metadata.

error
object

Error object. Null on success.

payload
object